import 'dart:io' ;
import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'package:pia_framework_base/Variable/PIA_Global.dart';
import 'package:flutter_document_picker/flutter_document_picker.dart';
import 'package:pia_framework_base/Lang/PIA_Lang.dart';

class PIA_ImageFilePicker_CallBack
{   void Image_Picker_Callback(File image){} }

class PIA_ImageFilePicker
{  static PIA_ImageFilePicker_CallBack _callback;
   static BuildContext _context;
   static var _maxwidth = 0.0;


  static void show_bottom_sheet(BuildContext context,PIA_ImageFilePicker_CallBack callback,double maxwidth) {
      _context = context;
      _callback = callback;
      _maxwidth = maxwidth;

      showModalBottomSheet(
      context: context,
      builder: (BuildContext context){
        return  Column(
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            new ListTile(
              leading: new Icon(Icons.camera),
              title: new Text(camera[PIA_Lang.lang_id]),
              onTap: () {  Navigator.pop(context); _getCamera(); }
            ),

            new ListTile(
              leading: new Icon(Icons.photo_library),
              title: new Text(photo[PIA_Lang.lang_id]),
              onTap: () {  Navigator.pop(context);  _getImage(); }
            ),

           new ListTile(
            leading: new Icon(Icons.folder_open),
        title: new Text(file[PIA_Lang.lang_id]),
        onTap: () {  Navigator.pop(context);  _getFile(); })

          ],
        );
      }
  );}


static Future _getFile() async {
  final path = await FlutterDocumentPicker.openDocument();
  if (_callback != null && path != null) {
    _callback.Image_Picker_Callback(File(path.toString()));
  }}



static Future _getImage() async {
     var image = await ImagePicker.pickImage(source: ImageSource.gallery,
      maxHeight: _maxwidth ,maxWidth: _maxwidth
     );
     if (_callback != null && image != null) {
          _get_image(image);
     }}

   static Future _getCamera() async {
     var image = await ImagePicker.pickImage(source: ImageSource.camera,
         maxHeight: _maxwidth,maxWidth: _maxwidth
         );
     if (_callback != null && image != null) {
         _get_image(image);
   }}


   static Future _get_image(File image) async {
     { _callback.Image_Picker_Callback(image); }
   }


}